Subject: Re: bug#40625: 28.0.50; fido-mode cannot match candidates containing a space

From: João Távora <[email-masked]>
Date: Wed, 15 Apr 2020 18:41:35 +0100

On Wed, Apr 15, 2020 at 6:26 PM Omar Antolín Camarena <
[email-masked]> wrote:

> Does fido-mode use the flex completion style unconditionally, ignoring
the user's setting of completion-styles and completion-category-overrides?

Yes.  That is by design.

If you want to tweak, you should be able to use
minibuffer-setup-hook for that. I think Dmitry wants
to add some new variables to allow fido-mode
specific settings, but don't think that's a good idea.

That's not to say this shouldn't be easier, but I think adding
variables to fido-mode is not the way to go. Could end
up with fido-specific versions of every such variable. I prefer
to review the other variables, their values and semantics
so we come up with a holistic solution.  For Emacs 28.

João